aboutsummaryrefslogtreecommitdiff
path: root/usr.bin/netpgpkeys
diff options
context:
space:
mode:
authorEnji Cooper <ngie@FreeBSD.org>2026-02-15 01:57:42 +0000
committerEnji Cooper <ngie@FreeBSD.org>2026-02-15 02:12:44 +0000
commite8dbf2b6df199526a660f81de07d17925cfd8518 (patch)
treecd0c09449bea5df56ef67059e797737d70587070 /usr.bin/netpgpkeys
parent56a7ce8416d181a2060d7a428aed9c3c6a431e6d (diff)
Add files missed in 56a7ce8416d181a2060d7a42vendor/NetBSD/tests/2026.02.14_2vendor/NetBSD/tests
Skip usr.bin/diff3 tests as these contain text that gets misinterpreted as merge conflict markers and blocks push with the relevant pre-receive hook. PR: 293186
Diffstat (limited to 'usr.bin/netpgpkeys')
-rw-r--r--usr.bin/netpgpkeys/Makefile13
-rw-r--r--usr.bin/netpgpkeys/data/testkey-ec.pubbin0 -> 418 bytes
-rw-r--r--usr.bin/netpgpkeys/data/testkey-rsa.pubbin0 -> 2245 bytes
-rw-r--r--usr.bin/netpgpkeys/t_netpgpkeys.sh81
4 files changed, 94 insertions, 0 deletions
diff --git a/usr.bin/netpgpkeys/Makefile b/usr.bin/netpgpkeys/Makefile
new file mode 100644
index 000000000000..7852906c3ee7
--- /dev/null
+++ b/usr.bin/netpgpkeys/Makefile
@@ -0,0 +1,13 @@
+# $NetBSD: Makefile,v 1.2 2026/01/29 16:14:45 wiz Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/usr.bin/netpgpkeys
+
+TESTS_SH+= t_netpgpkeys
+
+FILESDIR= ${TESTSDIR}/data
+FILES+= data/testkey-ec.pub
+FILES+= data/testkey-rsa.pub
+
+.include <bsd.test.mk>
diff --git a/usr.bin/netpgpkeys/data/testkey-ec.pub b/usr.bin/netpgpkeys/data/testkey-ec.pub
new file mode 100644
index 000000000000..aff1af8376da
--- /dev/null
+++ b/usr.bin/netpgpkeys/data/testkey-ec.pub
Binary files differ
diff --git a/usr.bin/netpgpkeys/data/testkey-rsa.pub b/usr.bin/netpgpkeys/data/testkey-rsa.pub
new file mode 100644
index 000000000000..d4bec383e5ea
--- /dev/null
+++ b/usr.bin/netpgpkeys/data/testkey-rsa.pub
Binary files differ
diff --git a/usr.bin/netpgpkeys/t_netpgpkeys.sh b/usr.bin/netpgpkeys/t_netpgpkeys.sh
new file mode 100644
index 000000000000..08d01a7fe98e
--- /dev/null
+++ b/usr.bin/netpgpkeys/t_netpgpkeys.sh
@@ -0,0 +1,81 @@
+#! /bin/sh
+
+# $NetBSD: t_netpgpkeys.sh,v 1.3 2026/01/31 22:35:10 wiz Exp $
+
+#
+# Copyright (c) 2026 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Thomas Klausner <wiz@NetBSD.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+cleanup_core() {
+ local prog
+
+ prog=$1
+ test -f "${prog}.core" || return 0
+ readelf -rs "/usr/bin/${prog}"
+ gdb -batch -ex bt -ex 'info registers' -ex disas \
+ "/usr/bin/${prog}" "${prog}.core"
+}
+
+# Test set 1 (rsa key) for netpgpkeys
+atf_test_case netpgpkeys_testset_1_rsa_keys
+
+netpgpkeys_testset_1_rsa_keys_head() {
+ atf_set "descr" "Test set 1 (rsa_keys) for netpgpkeys"
+}
+netpgpkeys_testset_1_rsa_keys_body() {
+ atf_expect_fail "PR bin/59936 - does not support keys generated by gnugp2"
+ # TODO: fix netpgpkeys so it doesn't need an empty keyring
+ atf_check touch pubring.gpg
+ atf_check netpgpkeys --keyring pubring.gpg \
+ --import-key "$(atf_get_srcdir)"/data/testkey-rsa.pub
+}
+
+# Test set 2 (elliptic curve keys) for netpgpkeys
+atf_test_case netpgpkeys_testset_2_ec_keys cleanup
+
+netpgpkeys_testset_2_ec_keys_head() {
+ atf_set "descr" "Test set 2 (ec_keys) for netpgpkeys"
+}
+netpgpkeys_testset_2_ec_keys_body() {
+ atf_expect_fail "PR bin/59936 - does not support keys generated by gnugp2 - dumps core for EC keys"
+ # TODO: fix netpgpkeys so it doesn't need an empty keyring
+ atf_check touch pubring.gpg
+ atf_check netpgpkeys --keyring pubring.gpg \
+ --import-key "$(atf_get_srcdir)"/data/testkey-ec.pub \
+ --coredumps
+}
+
+netpgpkeys_testset_2_ec_keys_cleanup() {
+ cleanup_core netpgpkeys
+}
+
+# all test sets
+atf_init_test_cases() {
+ atf_add_test_case netpgpkeys_testset_1_rsa_keys
+ atf_add_test_case netpgpkeys_testset_2_ec_keys
+}